Description

The new playbook should upgrade GHNs to version 5.0.1 and WHNs to version 1.2.4

History

#1 - Oct 28, 2015 05:33 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- % Done changed from 0 to 90

We now have two playbooks: one that updates the gcore nodes, and another one that upgrades the smartgears ones. The smartgears upgrade works

on the nodes already configured and provided by ansible, and on the 'old' ones too.

The update of the smartexecutor plugin is also performed when that plugin needs to be present.

#2 - Oct 28, 2015 05:35 PM - Andrea Dell'Amico

- Status changed from In Progress to Resolved

- % Done changed from 90 to 100

Commands that run the playbooks (examples that upgrade a single host):

./run.sh smartgears-upgrade.yml -i inventory/hosts.smartgears -l node78.d4science.org

./run.sh ghn-gcore-upgrade.yml -i inventory/hosts.dev -l node6.d.d4science.research-infrastructures.eu

#3 - Nov 02, 2015 11:20 AM - Roberto Cirillo

- Status changed from Resolved to In Progress

- % Done changed from 100 to 90

The ghn version has changed and, consequently, the upgrade script for gCore based container has now another name. The new name is

"upgrade-ghn-6-0-0.sh". Please, could you upgrade the ansible playbook to download the correct scripts from: 

https://svn.d4science-ii.research-infrastructures.eu/gcube/trunk/ghn-distribution/upgrade-scripts/upgrade-ghn-6-0-0.sh ?

#4 - Nov 02, 2015 11:25 AM - Andrea Dell'Amico

- Status changed from In Progress to Resolved

- % Done changed from 90 to 100

Done. The new URL is[ https://svn.research-infrastructures.eu/public/d4science/gcube/trunk/ghn-distribution/upgrade-scripts/upgrade-ghn-6-0-0.sh]

#5 - Nov 20, 2015 03:34 PM - Andrea Dell'Amico

- Status changed from Resolved to Closed
